Bug 319335 - kdevelop crashes during cmake build, after renaming source files
Summary: kdevelop crashes during cmake build, after renaming source files
Status: RESOLVED FIXED
Alias: None
Product: kdevelop
Classification: Unclassified
Component: general (show other bugs)
Version: 4.4.1
Platform: Ubuntu Packages Linux
: NOR crash (vote)
Target Milestone: 4.3.0
Assignee: kdevelop-bugs-null
URL:
Keywords:
: 318059 (view as bug list)
Depends on:
Blocks:
 
Reported: 2013-05-04 19:16 UTC by dan.barbus
Modified: 2013-05-08 13:21 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description dan.barbus 2013-05-04 19:16:53 UTC
Application: kdevelop (4.4.1)
KDE Platform Version: 4.9.5
Qt Version: 4.8.3
Operating System: Linux 3.5.0-17-generic x86_64
Distribution: Linux Mint 14 Nadia

-- Information about the crash:
- What I was doing when the application crashed:
Working on cmake project with clang++ compiler
steps:
1. I performed successfull build (successfully generating build artifacts and binaries)
2. I renamed src/old_name.hpp(and .cpp) to src/new_name.hpp(and cpp) files (and edited include dirrectives in project so they'd compile ok)
3. Started build, which failed complaining that old_name.cpp.o cannot be build (running clean in kdevelop doesn't fix the error)
4. opened terminal and "rm -fr build/*" (so cmake will regenerate make artifacts)
5. restart build in kdevelop.
6. kdevelop crashed.

The crash can be reproduced every time.

-- Backtrace:
Application: KDevelop (kdevelop), signal: Segmentation fault
Using host libthread_db library "/lib/x86_64-linux-gnu/libthread_db.so.1".
[Current thread is 1 (Thread 0x7f195bc16780 (LWP 12785))]

Thread 13 (Thread 0x7f1952bcf700 (LWP 12786)):
#0  pthread_cond_timedwait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:215
#1  0x00007f196bed0fa7 in wait (time=1000, this=0x1d35410) at thread/qwaitcondition_unix.cpp:84
#2  QWaitCondition::wait (this=<optimized out>, mutex=0x1d2f840, time=1000) at thread/qwaitcondition_unix.cpp:158
#3  0x00007f196803ef8b in ?? () from /usr/lib/libkdevplatformlanguage.so.6
#4  0x00007f196bed0aec in QThreadPrivate::start (arg=0x1d2f820) at thread/qthread_unix.cpp:338
#5  0x00007f1969f49e9a in start_thread (arg=0x7f1952bcf700) at pthread_create.c:308
#6  0x00007f196abdaccd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#7  0x0000000000000000 in ?? ()

Thread 12 (Thread 0x7f193b38a700 (LWP 12789)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f19673c0cd7 in ?? () from /usr/lib/x86_64-linux-gnu/libQtScript.so.4
#2  0x00007f19673c0d09 in ?? () from /usr/lib/x86_64-linux-gnu/libQtScript.so.4
#3  0x00007f1969f49e9a in start_thread (arg=0x7f193b38a700) at pthread_create.c:308
#4  0x00007f196abdaccd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#5  0x0000000000000000 in ?? ()

Thread 11 (Thread 0x7f1939baa700 (LWP 12790)):
#0  0x00007f1969f4d05d in __pthread_mutex_unlock_usercnt (mutex=<optimized out>, decr=<optimized out>) at pthread_mutex_unlock.c:52
#1  __pthread_mutex_unlock (mutex=0x7f1934000a60) at pthread_mutex_unlock.c:290
#2  0x00007f1964ff9e51 in g_mutex_unlock () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f1964fbcc9e in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#4  0x00007f1964fbcea4 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#5  0x00007f196bffbc16 in QEventDispatcherGlib::processEvents (this=0x7f19340008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#6  0x00007f196bfcc2bf in QEventLoop::processEvents (this=this@entry=0x7f1939ba9e00, flags=...) at kernel/qeventloop.cpp:149
#7  0x00007f196bfcc548 in QEventLoop::exec (this=0x7f1939ba9e00, flags=...) at kernel/qeventloop.cpp:204
#8  0x00007f196becdb10 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:501
#9  0x00007f196bed0aec in QThreadPrivate::start (arg=0x2a9e240) at thread/qthread_unix.cpp:338
#10 0x00007f1969f49e9a in start_thread (arg=0x7f1939baa700) at pthread_create.c:308
#11 0x00007f196abdaccd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#12 0x0000000000000000 in ?? ()

Thread 10 (Thread 0x7f1933fff700 (LWP 12791)):
#0  0x00007f1969f4d05d in __pthread_mutex_unlock_usercnt (mutex=<optimized out>, decr=<optimized out>) at pthread_mutex_unlock.c:52
#1  __pthread_mutex_unlock (mutex=0x7f192c000a60) at pthread_mutex_unlock.c:290
#2  0x00007f1964ff9e51 in g_mutex_unlock () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f1964fbcc5c in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#4  0x00007f1964fbcea4 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#5  0x00007f196bffbc16 in QEventDispatcherGlib::processEvents (this=0x7f192c0008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#6  0x00007f196bfcc2bf in QEventLoop::processEvents (this=this@entry=0x7f1933ffee00, flags=...) at kernel/qeventloop.cpp:149
#7  0x00007f196bfcc548 in QEventLoop::exec (this=0x7f1933ffee00, flags=...) at kernel/qeventloop.cpp:204
#8  0x00007f196becdb10 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:501
#9  0x00007f196bed0aec in QThreadPrivate::start (arg=0x2aa9fb0) at thread/qthread_unix.cpp:338
#10 0x00007f1969f49e9a in start_thread (arg=0x7f1933fff700) at pthread_create.c:308
#11 0x00007f196abdaccd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#12 0x0000000000000000 in ?? ()

Thread 9 (Thread 0x7f1938bdf700 (LWP 12800)):
#0  0x00007f196abcf313 in __GI___poll (fds=<optimized out>, nfds=<optimized out>, timeout=<optimized out>) at ../sysdeps/unix/sysv/linux/poll.c:87
#1  0x00007f1964fbcd84 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f1964fbcea4 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f196bffbc16 in QEventDispatcherGlib::processEvents (this=0x7f19240008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#4  0x00007f196bfcc2bf in QEventLoop::processEvents (this=this@entry=0x7f1938bdedd0, flags=...) at kernel/qeventloop.cpp:149
#5  0x00007f196bfcc548 in QEventLoop::exec (this=0x7f1938bdedd0, flags=...) at kernel/qeventloop.cpp:204
#6  0x00007f196becdb10 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:501
#7  0x00007f196bfac9af in QInotifyFileSystemWatcherEngine::run (this=0x3df6f50) at io/qfilesystemwatcher_inotify.cpp:248
#8  0x00007f196bed0aec in QThreadPrivate::start (arg=0x3df6f50) at thread/qthread_unix.cpp:338
#9  0x00007f1969f49e9a in start_thread (arg=0x7f1938bdf700) at pthread_create.c:308
#10 0x00007f196abdaccd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#11 0x0000000000000000 in ?? ()

Thread 8 (Thread 0x7f1931d41700 (LWP 12915)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f1962103b2d in ?? () from /usr/lib/x86_64-linux-gnu/libQtWebKit.so.4
#2  0x00007f1962103c39 in ?? () from /usr/lib/x86_64-linux-gnu/libQtWebKit.so.4
#3  0x00007f1969f49e9a in start_thread (arg=0x7f1931d41700) at pthread_create.c:308
#4  0x00007f196abdaccd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#5  0x0000000000000000 in ?? ()

Thread 7 (Thread 0x7f1932542700 (LWP 12918)):
#0  0x00007f1964ff9ba5 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#1  0x00007f1964ff9e49 in g_mutex_unlock () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f1964fbc066 in g_main_context_acquire () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f1964fbcc64 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#4  0x00007f1964fbcea4 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#5  0x00007f196bffbc16 in QEventDispatcherGlib::processEvents (this=0x7f191c0021c0, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#6  0x00007f196bfcc2bf in QEventLoop::processEvents (this=this@entry=0x7f1932541e00, flags=...) at kernel/qeventloop.cpp:149
#7  0x00007f196bfcc548 in QEventLoop::exec (this=0x7f1932541e00, flags=...) at kernel/qeventloop.cpp:204
#8  0x00007f196becdb10 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:501
#9  0x00007f196bed0aec in QThreadPrivate::start (arg=0x35e0650) at thread/qthread_unix.cpp:338
#10 0x00007f1969f49e9a in start_thread (arg=0x7f1932542700) at pthread_create.c:308
#11 0x00007f196abdaccd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#12 0x0000000000000000 in ?? ()

Thread 6 (Thread 0x7f1923005700 (LWP 13164)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f196bed104b in wait (time=18446744073709551615, this=0xe65ce0) at thread/qwaitcondition_unix.cpp:86
#2  QWaitCondition::wait (this=<optimized out>, mutex=0xe53ef0, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:158
#3  0x00007f1962af20e1 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0xe64260, th=0x47edec0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:365
#4  0x00007f1962af492b in ThreadWeaver::WorkingHardState::applyForWork (this=0xc65780, th=0x47edec0) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#5  0x00007f1962af4944 in ThreadWeaver::WorkingHardState::applyForWork (this=0xc65780, th=0x47edec0) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#6  0x00007f1962af4944 in ThreadWeaver::WorkingHardState::applyForWork (this=0xc65780, th=0x47edec0) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#7  0x00007f1962af379f in ThreadWeaver::ThreadRunHelper::run (this=this@entry=0x7f1923004e00, parent=0xe64260, th=th@entry=0x47edec0) at ../../../threadweaver/Weaver/Thread.cpp:87
#8  0x00007f1962af382b in ThreadWeaver::Thread::run (this=0x47edec0) at ../../../threadweaver/Weaver/Thread.cpp:142
#9  0x00007f196bed0aec in QThreadPrivate::start (arg=0x47edec0) at thread/qthread_unix.cpp:338
#10 0x00007f1969f49e9a in start_thread (arg=0x7f1923005700) at pthread_create.c:308
#11 0x00007f196abdaccd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#12 0x0000000000000000 in ?? ()

Thread 5 (Thread 0x7f18d7fff700 (LWP 13165)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f196bed104b in wait (time=18446744073709551615, this=0xe65ce0) at thread/qwaitcondition_unix.cpp:86
#2  QWaitCondition::wait (this=<optimized out>, mutex=0xe53ef0, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:158
#3  0x00007f1962af20e1 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0xe64260, th=0x7f18d8002c50) at ../../../threadweaver/Weaver/WeaverImpl.cpp:365
#4  0x00007f1962af492b in ThreadWeaver::WorkingHardState::applyForWork (this=0xc65780, th=0x7f18d8002c50) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#5  0x00007f1962af379f in ThreadWeaver::ThreadRunHelper::run (this=this@entry=0x7f18d7ffee00, parent=0xe64260, th=th@entry=0x7f18d8002c50) at ../../../threadweaver/Weaver/Thread.cpp:87
#6  0x00007f1962af382b in ThreadWeaver::Thread::run (this=0x7f18d8002c50) at ../../../threadweaver/Weaver/Thread.cpp:142
#7  0x00007f196bed0aec in QThreadPrivate::start (arg=0x7f18d8002c50) at thread/qthread_unix.cpp:338
#8  0x00007f1969f49e9a in start_thread (arg=0x7f18d7fff700) at pthread_create.c:308
#9  0x00007f196abdaccd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#10 0x0000000000000000 in ?? ()

Thread 4 (Thread 0x7f1923fff700 (LWP 14127)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f196bed104b in wait (time=18446744073709551615, this=0x4fa5000) at thread/qwaitcondition_unix.cpp:86
#2  QWaitCondition::wait (this=<optimized out>, mutex=0x4fa5120, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:158
#3  0x00007f1962af20e1 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x4fa4ee0, th=0x4fa5540) at ../../../threadweaver/Weaver/WeaverImpl.cpp:365
#4  0x00007f1962af492b in ThreadWeaver::WorkingHardState::applyForWork (this=0x4fa5180, th=0x4fa5540) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#5  0x00007f1962af379f in ThreadWeaver::ThreadRunHelper::run (this=this@entry=0x7f1923ffee00, parent=0x4fa4ee0, th=th@entry=0x4fa5540) at ../../../threadweaver/Weaver/Thread.cpp:87
#6  0x00007f1962af382b in ThreadWeaver::Thread::run (this=0x4fa5540) at ../../../threadweaver/Weaver/Thread.cpp:142
#7  0x00007f196bed0aec in QThreadPrivate::start (arg=0x4fa5540) at thread/qthread_unix.cpp:338
#8  0x00007f1969f49e9a in start_thread (arg=0x7f1923fff700) at pthread_create.c:308
#9  0x00007f196abdaccd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#10 0x0000000000000000 in ?? ()

Thread 3 (Thread 0x7f1921dff700 (LWP 14128)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f196bed104b in wait (time=18446744073709551615, this=0x4fa5000) at thread/qwaitcondition_unix.cpp:86
#2  QWaitCondition::wait (this=<optimized out>, mutex=0x4fa5120, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:158
#3  0x00007f1962af20e1 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x4fa4ee0, th=0x4fa6970) at ../../../threadweaver/Weaver/WeaverImpl.cpp:365
#4  0x00007f1962af492b in ThreadWeaver::WorkingHardState::applyForWork (this=0x4fa5180, th=0x4fa6970) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#5  0x00007f1962af379f in ThreadWeaver::ThreadRunHelper::run (this=this@entry=0x7f1921dfee00, parent=0x4fa4ee0, th=th@entry=0x4fa6970) at ../../../threadweaver/Weaver/Thread.cpp:87
#6  0x00007f1962af382b in ThreadWeaver::Thread::run (this=0x4fa6970) at ../../../threadweaver/Weaver/Thread.cpp:142
#7  0x00007f196bed0aec in QThreadPrivate::start (arg=0x4fa6970) at thread/qthread_unix.cpp:338
#8  0x00007f1969f49e9a in start_thread (arg=0x7f1921dff700) at pthread_create.c:308
#9  0x00007f196abdaccd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#10 0x0000000000000000 in ?? ()

Thread 2 (Thread 0x7f19214f5700 (LWP 14604)):
#0  0x00007f196abd4033 in select () at ../sysdeps/unix/syscall-template.S:82
#1  0x00007f196bff8efa in qt_safe_select (nfds=11, fdread=0x7f19214f3190, fdwrite=0x7f19214f3210, fdexcept=0x0, orig_timeout=0x7f19214f3140) at kernel/qcore_unix.cpp:93
#2  0x00007f196bfa7a5c in select_msecs (nfds=<optimized out>, fdread=<optimized out>, fdwrite=<optimized out>, timeout=<optimized out>) at io/qprocess_unix.cpp:1011
#3  0x00007f196bfa92a6 in QProcessPrivate::waitForFinished (this=0x7f18cc01f200, msecs=29992) at io/qprocess_unix.cpp:1227
#4  0x00007f196bf62f1e in QProcess::waitForFinished (this=0x7f19214f3410, msecs=29992) at io/qprocess.cpp:1759
#5  0x00007f1941e39131 in CMakeProjectVisitor::visit (this=0x7f19214f4280, exec=0x7f18cc01d730) at ../../../projectmanagers/cmake/parser/cmakeprojectvisitor.cpp:1346
#6  0x00007f1941e4a24a in CMakeProjectVisitor::walk (this=0x7f19214f4280, fc=..., line=3, isClean=<optimized out>) at ../../../projectmanagers/cmake/parser/cmakeprojectvisitor.cpp:2233
#7  0x00007f1941e4c201 in CMakeProjectVisitor::visit (this=0x7f19214f4280, ifast=0x7f18cc046990) at ../../../projectmanagers/cmake/parser/cmakeprojectvisitor.cpp:1307
#8  0x00007f1941e4a24a in CMakeProjectVisitor::walk (this=0x7f19214f4280, fc=..., line=2, isClean=<optimized out>) at ../../../projectmanagers/cmake/parser/cmakeprojectvisitor.cpp:2233
#9  0x00007f1941e4c201 in CMakeProjectVisitor::visit (this=0x7f19214f4280, ifast=0x7f18cc0389c0) at ../../../projectmanagers/cmake/parser/cmakeprojectvisitor.cpp:1307
#10 0x00007f1941e4a24a in CMakeProjectVisitor::walk (this=0x7f19214f4280, fc=..., line=0, isClean=<optimized out>) at ../../../projectmanagers/cmake/parser/cmakeprojectvisitor.cpp:2233
#11 0x00007f1941e5ff30 in CMakeParserUtils::includeScript (file=..., parent=..., data=0x7f1928003f58, sourcedir=..., env=...) at ../../../projectmanagers/cmake/parser/cmakeparserutils.cpp:176
#12 0x00007f1932974a84 in CMakeManager::includeScript (this=this@entry=0x3f6b030, file=..., project=project@entry=0x42de650, dir=..., parent=...) at ../../../projectmanagers/cmake/cmakemanager.cpp:669
#13 0x00007f19329753ea in CMakeManager::initializeProject (this=this@entry=0x3f6b030, project=0x42de650) at ../../../projectmanagers/cmake/cmakemanager.cpp:549
#14 0x00007f1932978045 in CMakeManager::parse (this=0x3f6b030, item=0x54c52d0) at ../../../projectmanagers/cmake/cmakemanager.cpp:731
#15 0x00007f1968627e5b in ?? () from /usr/lib/libkdevplatformproject.so.6
#16 0x00007f1968627c36 in ?? () from /usr/lib/libkdevplatformproject.so.6
#17 0x00007f196bec445d in QThreadPoolThread::run (this=0x4570620) at concurrent/qthreadpool.cpp:107
#18 0x00007f196bed0aec in QThreadPrivate::start (arg=0x4570620) at thread/qthread_unix.cpp:338
#19 0x00007f1969f49e9a in start_thread (arg=0x7f19214f5700) at pthread_create.c:308
#20 0x00007f196abdaccd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#21 0x0000000000000000 in ?? ()

Thread 1 (Thread 0x7f195bc16780 (LWP 12785)):
[KCrash Handler]
#6  0x0000000100000000 in ?? ()
#7  0x00007f1932da6a71 in MakeJob::start (this=0x51fbd70) at ../../../projectbuilders/makebuilder/makejob.cpp:94
#8  0x00007f196d8c5655 in KDevelop::RunController::registerJob(KJob*) () from /usr/lib/libkdevplatformshell.so.6
#9  0x00007f196bfe2f5f in QMetaObject::activate (sender=0x5460fe0, m=<optimized out>, local_signal_index=<optimized out>, argv=0x7fffdd70f550) at kernel/qobject.cpp:3547
#10 0x00007f196de81f22 in KJob::result (this=this@entry=0x5460fe0, _t1=_t1@entry=0x5460fe0) at ./kjob.moc:208
#11 0x00007f196de81f60 in KJob::emitResult (this=0x5460fe0) at ../../kdecore/jobs/kjob.cpp:318
#12 0x00007f1932b90cb7 in CMakeJob::slotCompleted (this=0x5460fe0) at ../../../projectbuilders/cmakebuilder/cmakejob.cpp:127
#13 0x00007f196bfe2f5f in QMetaObject::activate (sender=0x53527e0, m=<optimized out>, local_signal_index=<optimized out>, argv=0x0) at kernel/qobject.cpp:3547
#14 0x00007f196bfe2f5f in QMetaObject::activate (sender=0x5352800, m=<optimized out>, local_signal_index=<optimized out>, argv=0x7fffdd70f810) at kernel/qobject.cpp:3547
#15 0x00007f196bf630ff in QProcess::finished (this=this@entry=0x5352800, _t1=0, _t2=QProcess::NormalExit) at .moc/release-shared/moc_qprocess.cpp:156
#16 0x00007f196bf671f7 in QProcessPrivate::_q_processDied (this=0x54c8170) at io/qprocess.cpp:1068
#17 0x00007f196bf6727e in qt_static_metacall (_a=<optimized out>, _id=<optimized out>, _o=<optimized out>, _c=<optimized out>) at .moc/release-shared/moc_qprocess.cpp:92
#18 QProcess::qt_static_metacall (_o=<optimized out>, _c=<optimized out>, _id=<optimized out>, _a=<optimized out>) at .moc/release-shared/moc_qprocess.cpp:69
#19 0x00007f196bfe2f5f in QMetaObject::activate (sender=0x517df00, m=<optimized out>, local_signal_index=<optimized out>, argv=0x7fffdd70f9c0) at kernel/qobject.cpp:3547
#20 0x00007f196c02d79e in QSocketNotifier::activated (this=<optimized out>, _t1=42) at .moc/release-shared/moc_qsocketnotifier.cpp:103
#21 0x00007f196bfea7eb in QSocketNotifier::event (this=0x517df00, e=0x7fffdd70ffe0) at kernel/qsocketnotifier.cpp:317
#22 0x00007f196b374e9c in QApplicationPrivate::notify_helper (this=this@entry=0xa3e980, receiver=receiver@entry=0x517df00, e=e@entry=0x7fffdd70ffe0) at kernel/qapplication.cpp:4562
#23 0x00007f196b37930a in QApplication::notify (this=0x7fffdd710760, receiver=0x517df00, e=0x7fffdd70ffe0) at kernel/qapplication.cpp:4423
#24 0x00007f196c7c91f6 in KApplication::notify (this=0x7fffdd710760, receiver=0x517df00, event=0x7fffdd70ffe0) at ../../kdeui/kernel/kapplication.cpp:311
#25 0x00007f196bfcd56e in QCoreApplication::notifyInternal (this=0x7fffdd710760, receiver=0x517df00, event=0x7fffdd70ffe0) at kernel/qcoreapplication.cpp:915
#26 0x00007f196bffb3f8 in sendEvent (event=0x7fffdd70ffe0, receiver=<optimized out>) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:231
#27 socketNotifierSourceDispatch (source=0xa3fac0) at kernel/qeventdispatcher_glib.cpp:110
#28 0x00007f1964fbcab5 in g_main_context_dispatch () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#29 0x00007f1964fbcde8 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#30 0x00007f1964fbcea4 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#31 0x00007f196bffbbf6 in QEventDispatcherGlib::processEvents (this=0xa05b30, flags=...) at kernel/qeventdispatcher_glib.cpp:424
#32 0x00007f196b419c1e in QGuiEventDispatcherGlib::processEvents (this=<optimized out>, flags=...) at kernel/qguieventdispatcher_glib.cpp:204
#33 0x00007f196bfcc2bf in QEventLoop::processEvents (this=this@entry=0x7fffdd710220, flags=...) at kernel/qeventloop.cpp:149
#34 0x00007f196bfcc548 in QEventLoop::exec (this=0x7fffdd710220, flags=...) at kernel/qeventloop.cpp:204
#35 0x00007f196bfd1708 in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1187
#36 0x000000000040e6da in main (argc=<optimized out>, argv=<optimized out>) at ../../app/main.cpp:519

This bug may be a duplicate of or related to bug 302413.

Possible duplicates by query: bug 318059, bug 317580, bug 316967, bug 316703, bug 316622.

Reported using DrKonqi
Comment 1 Aleix Pol 2013-05-05 10:59:25 UTC
Git commit 45cdc3badce74c28cf9bcd4168dd2c1f186dd0f3 by Aleix Pol.
Committed on 05/05/2013 at 12:59.
Pushed by apol into branch 'master'.

Don't store a ProjectBaseItem in the MakeJob

Use a QPersistantModelIndex instead and fetch the item only when it's
needed. This way we can make sure that we don't crash if the item was
deleted during the job's life.

This is a bug fix, but I'm only committing to master for the moment.
Related: bug 293191

M  +0    -1    projectbuilders/makebuilder/makebuilder.cpp
M  +32   -25   projectbuilders/makebuilder/makejob.cpp
M  +1    -2    projectbuilders/makebuilder/makejob.h

http://commits.kde.org/kdevelop/45cdc3badce74c28cf9bcd4168dd2c1f186dd0f3
Comment 2 Aleix Pol 2013-05-08 12:40:02 UTC
*** Bug 318059 has been marked as a duplicate of this bug. ***
Comment 3 Aleix Pol 2013-05-08 13:21:54 UTC
Git commit 6f654f7d0e9e85b542d5f19afb1dd552e1891edb by Aleix Pol.
Committed on 05/05/2013 at 12:59.
Pushed by apol into branch '4.5'.

Don't store a ProjectBaseItem in the MakeJob

Use a QPersistantModelIndex instead and fetch the item only when it's
needed. This way we can make sure that we don't crash if the item was
deleted during the job's life.

This is a bug fix, but I'm only committing to master for the moment.
Related: bug 293191

Conflicts:
	projectbuilders/makebuilder/makejob.cpp
	projectbuilders/makebuilder/makejob.h

M  +0    -1    projectbuilders/makebuilder/makebuilder.cpp
M  +32   -26   projectbuilders/makebuilder/makejob.cpp
M  +1    -3    projectbuilders/makebuilder/makejob.h

http://commits.kde.org/kdevelop/6f654f7d0e9e85b542d5f19afb1dd552e1891edb